bitel.billing.server.bill.bean

## Class PositionValue

- java.lang.Object
- - bitel.billing.server.bill.bean.PositionValue

- Direct Known Subclasses:
    ExtractorPositionValue

      public class PositionValue
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCid()`
    `java.util.List<PositionValue>` | `getExtractPositions()`
    `java.lang.String` | `getName()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParams()`
    `Position` | `getPosition()`
    `int` | `getPositionId()`
    `int` | `getQtyNumsAfterComma()`
    `int` | `getQtyNumsRoundingMode()`
    `java.math.BigDecimal` | `getQuantity()`
    `java.math.BigDecimal` | `getSumma()`
    `java.math.BigDecimal` | `getSumScaled()`
    `java.math.BigDecimal` | `getSumUnscaled()`
    `java.lang.String` | `getUnit()`
    `java.lang.String` | `getUnitCode()`
    `boolean` | `isAddWhenLessZero()`
    `boolean` | `isInSumm()`
    `void` | `setAddWhenLessZero(boolean awlz)`
    `void` | `setCid(int cid)`
    `void` | `setExtractPositions(java.util.List<PositionValue> extractPositions)`
    `void` | `setInSumm(boolean inSumm)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParams(java.util.Map<java.lang.String,java.lang.String> params)`
    `void` | `setPosition(Position position)`
    `void` | `setPositionId(int positionId)`
    `void` | `setQtyNumsAfterComma(int qtyNumsAfterComma)`
    `void` | `setQtyNumsRoundingMode(int qtyNumsRoundingMode)`
    `void` | `setQuantity(java.math.BigDecimal val)`
    `void` | `setSumma(java.math.BigDecimal summa)`
    `void` | `setSumScaled(java.math.BigDecimal summaRounded)`
    `void` | `setSumUnscaled(java.math.BigDecimal summaUnscaled)`
    `void` | `setUnit(java.lang.String unit)`
    `void` | `setUnitCode(java.lang.String unitCode)`
    `DocumentPosition` | `toDocumentPosition()`
    `void` | `toElement(org.w3c.dom.Element el)`
    `void` | `toElement(javax.xml.stream.XMLStreamWriter el)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionValue

          public PositionValue()

  - ### Method Detail

    - #### isAddWhenLessZero

          public boolean isAddWhenLessZero()

    - #### setAddWhenLessZero

          public void setAddWhenLessZero(boolean awlz)

    - #### getPosition

          public Position getPosition()

    - #### setPosition

          public void setPosition(Position position)

    - #### getExtractPositions

          public java.util.List<PositionValue> getExtractPositions()

    - #### setExtractPositions

          public void setExtractPositions(java.util.List<PositionValue> extractPositions)

    - #### getQuantity

          public java.math.BigDecimal getQuantity()

    - #### setQuantity

          public void setQuantity(java.math.BigDecimal val)

    - #### getUnit

          public java.lang.String getUnit()

    - #### setUnit

          public void setUnit(java.lang.String unit)

    - #### getUnitCode

          public java.lang.String getUnitCode()

    - #### setUnitCode

          public void setUnitCode(java.lang.String unitCode)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

    - #### getPositionId

          public int getPositionId()

    - #### setPositionId

          public void setPositionId(int positionId)

    - #### getCid

          public int getCid()

    - #### setCid

          public void setCid(int cid)

    - #### toElement

          public void toElement(org.w3c.dom.Element el)

    - #### toElement

          public void toElement(javax.xml.stream.XMLStreamWriter el)
                         throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### isInSumm

          public boolean isInSumm()

    - #### setInSumm

          public void setInSumm(boolean inSumm)

    - #### getQtyNumsAfterComma

          public int getQtyNumsAfterComma()

    - #### setQtyNumsAfterComma

          public void setQtyNumsAfterComma(int qtyNumsAfterComma)

    - #### getQtyNumsRoundingMode

          public int getQtyNumsRoundingMode()

    - #### setQtyNumsRoundingMode

          public void setQtyNumsRoundingMode(int qtyNumsRoundingMode)

    - #### getParams

          public java.util.Map<java.lang.String,java.lang.String> getParams()

    - #### setParams

          public void setParams(java.util.Map<java.lang.String,java.lang.String> params)

    - #### getSumUnscaled

          public java.math.BigDecimal getSumUnscaled()

    - #### setSumUnscaled

          public void setSumUnscaled(java.math.BigDecimal summaUnscaled)

    - #### getSumScaled

          public java.math.BigDecimal getSumScaled()

    - #### setSumScaled

          public void setSumScaled(java.math.BigDecimal summaRounded)

    - #### toDocumentPosition

          public DocumentPosition toDocumentPosition()